Subject: Re: bug#24239: 25.1; Potential regression: Multibyte text in HTTP request

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Aug 2016 05:44:10 +0300

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 17 Aug 2016 04:32:24 +0300
> 
> > It's tru we don't
> > describe bug-fixes in NEWS, but we do describe incompatible changes.
> > So I think it would be good to document this change there.  Could you
> > suggest some simple description of that?
> 
> Something like "url-request-data is not allowed to be bound to a 
> multibyte value; if your request body is multibyte (which is the usual 
> case, by the way), convert it with encode-coding-string".

Thanks, I added something like that to NEWS.

> Hmm... by the way, we could also mention that json-encode now keeps most 
> multibyte characters as-is. Which is the reason we had to scramble to 
> fix this problem with the URL package.

If you can add this to NEWS in time for RC2, please do.

> > (I don't understand the
> > details of the use case well enough to do that myself -- how is the
> > value of url-request-data related to the change we made in
> > url-http-create-request?)
> 
> The related change is for the previous bug report (23750), and the 
> commit a98aa02a that added the "Multibyte text in HTTP request" error.

Yes, but how is url-request-data related?  And are there any other
variables that should be mentioned?

Thanks.